local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)	
	self.values.player.killshot_regen_armor_bonus = {
	3,
	0, -- this is a workaround because if you use this value don't work Number 2 so you need to start
	0, -- 
	1.5 -- deadshot kill
	}

	self.values.player.killshot_close_regen_armor_bonus = {
	3,
	0,
	1 -- Guy 
	}

	self.values.player.melee_kill_life_leech = {0.20, 0, 0.05, 0.10 }
	self.values.player.crouch_dodge_chance = {0.1, 0.05, 0.05, 0, 0.05, 0.15 }
	self.values.player.walk_speed_multiplier = {1, 1, 1.10, 1.25}

		--Well Trained
	self.values.assault_rifle.spread_index_addend = {2, 4, 6}

	self.values.player.stamina_multiplier = {1.5}

	self.values.player.tier_dodgechance = {0.05,0.15}


	--Author:C0d3Bl0cks
	
	--Unblocking skills for GL
	self.values.grenade_launcher = {}

	--Steady Walker
	self.values.player.stamina_multiplier = {1.5}
	self.values.player.damage_shake_multiplier = {1, 1, 0.50, 0.25, 0.10}

	--Boom Boom
	self.values.grenade_launcher.reload_speed_multiplier = {1.25, 2, 3.5, 5}
	
	--Better Boom Boom
	self.values.grenade_launcher.extra_ammo_multiplier = {1.25, 2, 2.5, 4} 

	-- Fast Launcher
	self.values.grenade_launcher.fire_rate_multiplier = {1.5, 2, 2.25}

	self.values.grenade_launcher.swap_speed_multiplier = {1.30, 2, 3} -- Swap sped Done

	--I can carry more
	self.values.assault_rifle.extra_ammo_multiplier = {1.25, 1.50, 3}

	--Good Eye
	self.values.assault_rifle.recoil_index_addend = {4, 8, 16}

	self.values.player.passive_concealment_modifier = {2, 4}

	--A Class
	self.values.assault_rifle.damage_multiplier = {1.25, 1.50}
	self.values.assault_rifle.fire_rate_multiplier = {1.25, 1.50}	
	self.values.assault_rifle.reload_speed_multiplier = {1.25, 1.75}

end

local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)

		self.definitions.st1 = {
			category = "feature",
			name_id = "menu_player_stamina_multiplier",
			upgrade = {
				category = "player",
				upgrade = "stamina_multiplier",
				value = 1
		}}

		self.definitions.covert_1 = {--concealment
			category = "feature",
			name_id = "menu_player_passive_suspicion_bonus",
			upgrade = {
				category = "player",
				upgrade = "passive_concealment_modifier",
				value = 1
		}}	

		self.definitions.covert_x = {--concealment
		category = "feature",
		name_id = "menu_player_passive_suspicion_bonus",
		upgrade = {
			category = "player",
			upgrade = "passive_concealment_modifier",
			value = 2
		}}	

		self.definitions.DeadS1 = {
		category = "feature",
		name_id = "menu_player_killshot_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_regen_armor_bonus",
			value = 4}}

		self.definitions.GuyS1 = {
		category = "feature",
		name_id = "menu_player.killshot_close_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_regen_armor_bonus",
			value = 3}}
		
		self.definitions.klife = {
		category = "feature",
		name_id = "menu_player.melee_kill_life_leech",
		upgrade = {
			category = "player",
			upgrade = "melee_kill_life_leech",
			value = 3
		}}

		self.definitions.klife2 = {
		category = "feature",
		name_id = "menu_player.melee_kill_life_leech",
		upgrade = {
			category = "player",
			upgrade = "melee_kill_life_leech",
			value = 4
		}}
-- Weapons Skills
	
		self.definitions.as_recoil_1 = {--recoil
		category = "feature",
		name_id = "manu_assault_rifle_recoil_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "recoil_index_addend",
			value = 1
		}}
		
		self.definitions.as_recoil_2 = {--recoil ace
		category = "feature",
		name_id = "manu_assault_rifle_recoil_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "recoil_index_addend",
			value = 2
		}}

		self.definitions.as_recoil_l = {--recoil ace
		category = "feature",
		name_id = "manu_assault_rifle_recoil_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "recoil_index_addend",
			value = 3
		}}

		self.definitions.as_reload_1 = {--reload
		category = "feature",
		name_id = "manu_assault_rifle_reload_speed_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "reload_speed_multiplier",
			value = 1
		}}

		self.definitions.as_reload_2 = {--reload
		category = "feature",
		name_id = "manu_assault_rifle_reload_speed_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "reload_speed_multiplier",
			value = 2
		}}

		self.definitions.as_spread_1 = {--spread
		category = "feature",
		name_id = "manu_assault_rifle_spread_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "spread_index_addend",
			value = 1
		}}
		
		self.definitions.as_spread_2 = {--spread ace
		category = "feature",
		name_id = "manu_assault_rifle_spread_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "spread_index_addend",
			value = 2
		}}

		self.definitions.as_spread_3 = {--spread ace
		category = "feature",
		name_id = "manu_assault_rifle_spread_index_addend",
		upgrade = {
			category = "assault_rifle",
			upgrade = "spread_index_addend",
			value = 3
		}}

		self.definitions.as_damage_1 = {--assault damage
		category = "feature",
		name_id = "menu_assault_rifle_damage_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "damage_multiplier",
			value = 1
		}}

		self.definitions.as_damage_2 = {--assault damage ace
		category = "feature",
		name_id = "menu_assault_rifle_damage_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "damage_multiplier",
			value = 2
		}}
		
		------------------------------------------------------------------
		
		self.definitions.as_ammo_1 = {--ammo
		category = "feature",
		name_id = "menu_assault_rifle_extra_ammo_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "extra_ammo_multiplier",
			value = 1
		}}
		
		self.definitions.as_ammo_2 = {--ammo ace
		category = "feature",
		name_id = "menu_assault_rifle_extra_ammo_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "extra_ammo_multiplier",
			value = 2
		}}

		self.definitions.as_ammo_x = {--ammo ace
		category = "feature",
		name_id = "menu_assault_rifle_extra_ammo_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "extra_ammo_multiplier",
			value = 3
		}}

		self.definitions.as_firerate_1 = {--firerate
		category = "feature",
		name_id = "manu_assault_rifle_fire_rate_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "fire_rate_multiplier",
			value = 1
		}}
		
		self.definitions.as_firerate_2 = {--firerate ace
		category = "feature",
		name_id = "manu_assault_rifle_fire_rate_multiplier",
		upgrade = {
			category = "assault_rifle",
			upgrade = "fire_rate_multiplier",
			value = 2
		}}
-- face Skills

		self.definitions.crouchspeed = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 3
		}}
		self.definitions.crouchspeed2 = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 4
		}}

		self.definitions.crouchdodge = {
			category = "feature",
			name_id = "menu_player_crouch_dodge",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 5
		}}
		self.definitions.crouchdodge2 = {
			category = "feature",
			name_id = "menu_player_crouch_dodge_chance",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 6
		}}

		self.definitions.shake = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 3
		}}
		
-- Skills


	self.definitions.dodjetier1 = {
		category = "feature",
		incremental = true,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 1
		}}
	self.definitions.dodjetier2 = {
		category = "feature",
		incremental = true,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 2
		}}

		self.definitions.spwalk = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 3
		}}
		self.definitions.spwalk2 = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 4
		}}

		self.definitions.shake = {
		    category = "feature",
		    name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 3
		}}

		self.definitions.st1 = {
			category = "feature",
			name_id = "menu_player_stamina_multiplier",
			upgrade = {
				category = "player",
				upgrade = "stamina_multiplier",
				value = 1
		}}

		self.definitions.steady_sniping = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 4
		}}

		self.definitions.gl_ammo_multiplier_1 = {--gl ammo
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		
		self.definitions.gl_ammo_multiplier_2 = {--gl ammo ace
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}

		self.definitions.gl_reload_speed_1 = {--gl reload
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 1
		}}
		
		self.definitions.gl_reload_speed_2 = {--gl reload ace
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 2
		}}

		self.definitions.gl_reload_rapido = {--gl reload
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 3
		}}

		self.definitions.gl_reload_rapido_1 = {--gl reload
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 4
		}}


		self.definitions.gl_firerate_1 = {--gl firerate 
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 1
		}}

		self.definitions.gl_firerate_2 = {--gl firerate Aced
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 2
		}}

		self.definitions.gl_rapido = {--gl firerate Aced
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 3
		}}

		self.definitions.gl_swap_1 = {--gl swap
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}

		self.definitions.gl_swap_2 = {--gl swap
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}

		self.definitions.gl_l_swap = {--gl swap
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 3
		}}

		self.definitions.gl_extra_ammo = {--gl ammo ace
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 3
		}}

		self.definitions.gl_piles_of_ammo = {--gl ammo ace
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 4
		}}

end

